ArtandCollectibles/urls.py
from django.contrib import admin
from django.urls import path,include

from django.conf import settings
from django.conf.urls.static import static

admin.site.site_header = 'ArtandCollectibles Dashboard'
admin.site.site_title = 'ArtandCollectibles Admin Portal'
admin.site.index_title ='Welcome to ArtandCollectibles'

urlpatterns = [
    path('',include('art.urls')),
    path('admin/', admin.site.urls),
    path('captcha/',include('captcha.urls'))
]
if settings.DEBUG:
    urlpatterns += static(settings.STATIC_URL, document_root=settings.STATIC_ROOT)
    urlpatterns += static(settings.MEDIA_URL, document_root=settings.MEDIA_ROOT)
   

art/urls.py
from django.urls import path
from . import views 
from art.controller import authview



urlpatterns = [
    path('',views.index,name='index'),
    path('contact',views.contact,name = 'contact'),
    path('category',views.category_list,name ='category'),
    path('products',views.product_list,name = 'products'),
    path('product_details/<slug>',views.product_details,name='product_details'),
    path('category_details/<slug>',views.category_details,name = 'category_details'),

    path('cart/add/<int:id>/', views.cart_add, name='cart_add'),
    path('cart/item_clear/<int:id>/', views.item_clear, name='item_clear'),
    path('cart/item_increment/<int:id>/',views.item_increment, name='item_increment'),
    path('cart/item_decrement/<int:id>/',views.item_decrement, name='item_decrement'),
    path('cart/cart_clear/', views.cart_clear, name='cart_clear'),
    path('cart/cart-detail/',views.cart_detail,name='cart_detail'),

    path('register/',authview.register, name = 'register'),
    path('login/',authview.loginpage, name = 'loginpage'),
    path('logout/',authview.logoutpage, name ='logout'),

    path('wishlist/', views.wishlist, name='wishlist'),
    path('wishlist/add/<int:product_id>/', views.addwishlist, name='addwishlist'),
    path('wishlist/remove/<int:wishlist_id>/', views.removewishlist, name='removewishlist'),

    path('checkout/', views.checkout, name='checkout'),
    path('placeorder/',views.placeorder,name='placeorder'),
    path('thankyou/', views.thankyou, name='thankyou'),
    path('userprofile/',views.userprofile, name='userprofile'),
    

  
    path('verify_payment/',views.verify_payment,name='verify_payment'),
    

    #admin
    path('adminlogin/',views.admin_login, name='admin_login'),
    path('adminlogout/',views.adminlogout, name ='adminlogout'),
    path('adminhome',views.adminhome,name='adminhome'),
    path('adminproduct',views.adminproduct,name='adminproduct'),
    path('products/<int:product_id>/delete/', views.delete_product, name='delete_product'),
    path('products/<int:pk>/update/',views.update_product, name='update_product'),
    path('adminorder',views.adminorder,name='adminorder'),
    path('orderdelete/<int:order_id>/delete/', views.delete_order, name='delete_order'),
    path('adminorderdetail/<int:pk>/',views.adminorderdetail,name='adminorderdetail'),
    path('updatestatus/<int:pk>/',views.adminupdatestatus,name='adminupdatestatus'),
    path('addcategory',views.addcategory,name='addcategory'),
    path('addproduct',views.addproduct,name='addproduct'),
    path('viewcategory',views.viewcategory,name='viewcategory'),
    path('categories/<int:category_id>/delete/', views.delete_category, name='delete_category'),
    path('messages',views.adminmessages,name='adminmessages'),
    path('message/<int:id>/delete',views.messagedelete,name='messagedelete'),
    




]

art/models.py
from django.db import models
from django.contrib.auth.models import User



class Admin(models.Model):
    user = models.OneToOneField(User, on_delete=models.CASCADE,related_name='admin')
    full_name = models.CharField(max_length=50)
    image = models.ImageField(upload_to="admins")
    mobile = models.CharField(max_length=20)

    def __str__(self):
        return self.user.username


class Category(models.Model):
    name = models.CharField(max_length =100 , unique =True)
    slug = models.SlugField(max_length =100, unique = True)

    def __str__(self):
        return self.name

class Product(models.Model):
    category = models.ForeignKey(Category, on_delete=models.CASCADE)
    name = models.CharField(max_length=100, unique=True)
    slug = models.SlugField(max_length=100, unique=True)
    description = models.TextField(max_length=200)
    price = models.DecimalField(max_digits=10, decimal_places=2)
    image = models.ImageField(upload_to='photos/products')
    stock = models.IntegerField()
    is_available = models.BooleanField(default=True)    
    created_date = models.DateTimeField(auto_now_add=True)
    modified_date = models.DateTimeField(auto_now=True)
    quantity = models.IntegerField(default=1)
   
    def __str__(self):
        return self.name



class Wishlist(models.Model):
    user = models.ForeignKey(User,on_delete=models.CASCADE)
    product = models.ForeignKey(Product,on_delete=models.CASCADE)
    added_date = models.DateTimeField(auto_now_add=True)

    def __str__(self):
        return self.product.name

class Contact(models.Model):
    name = models.CharField(max_length=250)
    email = models.EmailField(max_length=100)
    subject = models.CharField(max_length=100)
    number = models.CharField(default=False,max_length=10)
    message = models.TextField()
    def __str__(self):
        return self.name



ORDER_STATUS = (
    ("Order Received", "Order Received"),
    ("Order Processing", "Order Processing"),
    ("On the way", "On the way"),
    ("Order Completed", "Order Completed"),
    ("Order Cancelled", "Order Cancelled"),
)

METHOD = (
    ("Cash On Delivery", "Cash On Delivery"),
    ("Khalti", "Khalti"),
   
)

    

class Order(models.Model):
    user = models.ForeignKey(User,on_delete=models.CASCADE)
    firstname = models.CharField(max_length=100)
    lastname = models.CharField(max_length=100)
    address = models.TextField()
    phone = models.CharField(max_length =10)
    email = models.EmailField(max_length=60)
    additional_info = models.TextField()
    amount = models.DecimalField(max_digits=10,decimal_places=2)
    order_status = models.CharField(max_length=50, choices=ORDER_STATUS,default="Order Received")
    payment_method = models.CharField(
        max_length=20, choices=METHOD, default="Cash On Delivery")
    payment_id = models.CharField(max_length=200,null=True,blank=True)
    paid = models.BooleanField(default=False,null=True)
    date = models.DateTimeField(auto_now_add=True)

    def __str__(self):
        return self.user.username


class OrderItem(models.Model):
    order = models.ForeignKey(Order,on_delete=models.CASCADE,related_name='items')
    product = models.CharField(max_length=255)
    image = models.ImageField(upload_to ='order/photos')
    quantity = models.CharField(max_length=20)
    price = models.DecimalField(max_digits=10,decimal_places=2)
    total = models.DecimalField(max_digits=10,decimal_places=2)

    def __str__(self):
        return self.order.user.username
    

    

    

templates/pages/cart_detail.html
{% extends 'master/master.html' %}
{% block content %}
{% if request.session.cart|length < 1 %}

{% include 'pages\emptycart.html' %}

{% else %}
{% load cart_tag %}

    <div class="container py-5 h-100">
      {%if messages%} {% for message in messages %}
  <div class="alert alert-sucess">{{message}}</div>
  {% endfor %} {% endif %}
      <div class="row d-flex justify-content-center align-items-center h-100">
        <div class="col-12">
          <div class="card card-registration card-registration-2" style="border-radius: 15px;">
            <div class="card-body p-0">
              <div class="row g-0">
                <div class="col-lg-8">
                  <div class="p-5">
                    <div class="d-flex justify-content-between align-items-center mb-5">
                      <h1 class="fw-bold mb-0 text-black">Shopping Cart</h1>
                      <h6 class="mb-0 text-muted"><span>{{request.session.cart|length}}</span> items</h6>
                    </div>
                    
                    <hr class="my-4">
                    {% for key,value in request.session.cart.items %}
                    <div class="row mb-4 d-flex justify-content-between align-items-center">
                       
                      <div class="col-md-2 col-lg-2 col-xl-2">
                        <img
                          src="{{value.image}}" width="100" class="img-fluid rounded-3" alt="">
                      </div>
                      <div class="col-md-3 col-lg-3 col-xl-3">
                        <h6 class="text-muted">{{ value.name }}</h6>
                        <h6 class="text-black mb-0">{{ value.price }}</h6>
                      </div>
                      <div class="col-md-3 col-lg-3 col-xl-2 d-flex">
                        <a class="btn btn-link px-2" href="{% url 'item_increment' value.product_id %}">
                        <i class="fa fa-plus"></i>
                        </a>

                      <span id="form1" min="0" name="quantity" value=" " type="number"
                        class="form-control form-control-sm" /> {{ value.quantity }}</span>

                      <a class="btn btn-link px-2"
                       href="{% url 'item_decrement' value.product_id %}">  
                        <i class="fa fa-minus"></i>
                      </a>
                      </div>
                      <div class="col-md-3 col-lg-2 col-xl-2 offset-lg-1">
                        <h6 class="mb-0">Rs{{ value.price|multiply:value.quantity }}</h6>
                      </div>
                      <div class="col-md-1 col-lg-1 col-xl-1 text-end">
                        <a href="{% url 'item_clear' value.product_id %}" class="text-muted"><i class="fa fa-times"></i></a>
                      </div>
                      <br>
                      
                    </div>
                    {% endfor %}
                    <hr class="my-4">
                    <div class="pt-5">
                      <a href="{% url 'cart_clear' %}" type="button" onclick="return confirm('are you sure?')" class="btn btn-dark btn-block btn-lg"
                      data-mdb-ripple-color="dark">Clear Cart</a>
                    </div>
  
                    <div class="pt-5">
                            <a href="{% url 'products' %}" type="button" class="btn btn-dark btn-block btn-lg"
                            data-mdb-ripple-color="dark">Back To Shop</a>
                    </div>
                
                  </div>
                </div>
                <div class="col-lg-4 bg-grey">
                  <div class="p-5">
                    <h3 class="fw-bold mb-5 mt-2 pt-1">Summary</h3>
                    <hr class="my-4">
  
                    <div class="d-flex justify-content-between mb-4">
                      <h5 class="text-uppercase">items {{request.session.cart|length}}</h5>
                      <h5>Rs {{cart_total_amount}}</h5>
                    </div>
  
                    <h5 class="text-uppercase mb-3">Extra Charge</h5>
  
                    <div class="mb-4 pb-2">
                        <h5 class = "text-uppercase">Shipping Charge Rs:100</h5>
                        <h5 class = "text-uppercase">Tax Rs:100</h5>
                        
                    </div>
  
                    <hr class="my-4">
  
                    <div class="d-flex justify-content-between mb-5">
                      <h5 class="text-uppercase">Total price</h5>
                      <h5>{{cart_total_amount|add:100|add:100}}</h5>
                    </div>
  
                    <a href="{% url 'checkout' %}" type="button" class="btn btn-dark btn-block btn-lg"
                      data-mdb-ripple-color="dark">Checkout</a>
  
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
  
{% endif %}
{% endblock %}

templates/pages/category_details.html
{% extends 'master/master.html' %} {% block content %}
<div class="container">
    {%if messages%} {% for message in messages %}
    <div class="alert alert-sucess">{{message}}</div>
    {% endfor %} {% endif %}
    <nav aria-label="breadcrumb">
      <ol class="breadcrumb">
        <li class="breadcrumb-item active"><a href="{% url 'category'%}">Category</a></li>
        <li class="breadcrumb-item active" aria-current="page">Category Details</li>
      </ol>
    </nav>

    <section class="product_section layout_padding">
        <div class="container">
           <div class="heading_container heading_center">
              <h2>
                {{ categoryData.name }}
              </h2>
           </div>
           <div class="row">
            {% for product in categoryData.product_set.all %}
              <div class="col-sm-6 col-md-4 col-lg-4">
                 <div class="box">
                  
                    <div class="option_container">
                       <div class="options">
                          <a href="{% url 'cart_add' product.id %}" class="option1">
                          Add to Cart
                          </a>
                          <a href="{% url 'product_details' product.slug %}" class="option2">
                          Quick View
                          </a>
                       </div>
                    </div>
                    <div class="img-box">
                       {% if product.image %}
                       <img src="{{ product.image.url }}" alt="">
                       {% endif %}
                    </div>
                    <div class="detail-box">
                       <h5>
                          {{product.name}}
                       </h5>
                       <h6>
                            Rs: {{ product.price }}
                       </h6>
                    </div>
                  
                 </div>
              </div>
              {% endfor %}
        </div>

<br/>
{% endblock %}

templates/pages/category_list.html
{% extends 'master/master.html '%} {% block content %} {% load static %}

<div class="container">
    {%if messages%} {% for message in messages %}
    <div class="alert alert-sucess">{{message}}</div>
    {% endfor %} {% endif %}
    <section class="product_section layout_padding">
        <div class="container-fluid">
            <div class="row">
                <div class="col-sm-3 h-100">
                    <h6 class="card-header">Categories</h6>
                    <div class="list-group list-group-flush">
                        {% for cat in categoryData %}
                        <li class="list-group-item">
                            <a href="{% url 'category_details' cat.slug%}"> {{cat.name}}</a> </li>
                        {% endfor %}
                    </div>


                </div>
                <div class="col-sm-9">
                    <div class="container">
                        {% for category in categoryData %}

                        <div class="heading_container heading_center ">
                            <h2>{{ category.name }} </h2>
                        </div>
                        <div class="row ">
                            {% for product in category.product_set.all %}
                            <div class="col-sm-6 col-md-4 col-lg-4 ">
                                <div class="box ">

                                    <div class="option_container ">
                                        <div class="options ">
                                            <a href="{% url 'cart_add' product.id %} " class="option1 ">
                                               Add to Cart
                                                    </a>
                                            <a href="{% url 'product_details' product.slug %} " class="option2 ">
                                                 Quick View
                                                 </a>
                                        </div>
                                    </div>
                                    <div class="img-box ">
                                        {% if product.image %}
                                        <img src="{{ product.image.url }} " alt=" "> {% endif %}
                                    </div>
                                    <div class="detail-box ">
                                        <h5>
                                            {{product.name}}
                                        </h5>
                                        <h6>
                                            Rs: {{ product.price }}
                                        </h6>
                                    </div>

                                </div>
                            </div>
                            {% endfor %}

                        </div>
                        {% endfor %}
                        <br>
                    </div>
                </div>
            </div>
        </div>
    </section>
</div>
<script src="https://code.jquery.com/jquery-3.6.0.min.js "></script>
<script src="{% static 'js/filter.js'%} "></script>
{% endblock %}

templates/pages/checkout.html
{% extends 'master/master.html '%} {% block content %} {% load cart_tag %}
<form method="POST" action="{% url 'placeorder'%}">
    {% csrf_token %}
    <div class="container">
        <div class="row">

            <div class="col-md-4 order-md-2 mb-4">

                <h4 class="d-flex justify-content-between align-items-center mb-3">
                    <span class="text-muted">Your cart</span>
                    <span class="badge badge-secondary badge-pill">{{request.session.cart|length}}</span>
                </h4>

                <ul class="list-group mb-3">
                    {% for key,value in request.session.cart.items %}
                    <li class="list-group-item d-flex justify-content-between lh-condensed">

                        <div>
                            <h6 class="my-0">{{ value.name }}</h6>
                            <span class="text-muted">Rs: {{ value.price }}</span>
                        </div>
                        <span>{{value.quantity}}</span>
                        <span class="text-muted">Rs:{{ value.price|multiply:value.quantity }}</span>
                    </li>
                    {% endfor %}

                    <li class="list-group-item d-flex justify-content-between bg-light">
                        <div class="text">
                            <h6 class="my-0">Shipping Charge</h6>
                        </div>
                        <span class="text-muted">Rs:100</span>
                    </li>
                    <li class="list-group-item d-flex justify-content-between bg-light">
                        <div class="text">
                            <h6 class="my-0">Tax</h6>
                        </div>
                        <span class="text-muted">Rs:100</span>
                    </li>
                    <li class="list-group-item d-flex justify-content-between">
                        <span>Total (Rs)</span>
                        <input type="text" class="form-control" id="inputGroup-sizing-sm" name="total" value="{{cart_total_amount|add:100.00|add:100.00}}" />
                    </li>
                    <li class="list-group-item d-flex justify-content-between">
                        <div>
                            <h6 class="my-0">Payment</h6>
                        </div>
                        <span>
                    <select class="custom-select d-block w-100 input-group-text" name="payment" required>
                    <option name="cash">Cash On Delivery</option>
                    <option name="wallet" >Khalti</option>
                    </select>
                   </span>
                    </li>
                </ul>


                <div class="input-group">
                    <button class="btn btn-dark btn-block btn-lg" data-mdb-ripple-color="dark" type="submit"  onclick="href = 'placeholder'">Continue </button>
                    <a href="{% url 'cart_detail' %}" type="submit" class="btn btn-dark btn-block btn-lg" data-mdb-ripple-color="dark"> Update Cart</a>


                </div>

            </div>
            <div class=" col-md-8 order-md-1 ">
                <h4 class="mb-3 ">Billing address</h4>


                <div class="row ">
                    <div class="col-md-6 mb-3 ">
                        <label for="username ">Username</label>
                        <div class="input-group ">
                            <input type="text" class="form-control" id="username" name="username" value="{{user.username}}" />
                        </div>
                    </div>
                    <div class="col-md-6 mb-3 ">
                        <label for="address ">Contact </label>
                        <input type="text " class="form-control" placeholder="Contact Number" name="number" required/>
                    </div>
                </div>
                <div class="row ">
                    <div class="col-md-6 mb-3 ">
                        <label for="firstName ">First name</label>
                        <input type="text " class="form-control" name="firstname" value="{{user.first_name}}"/>
                    </div>
                    <div class="col-md-6 mb-3 ">
                        <label for="lastName ">Last name</label>
                        <input type="text" class="form-control" name="lastname" value="{{user.last_name}}"/>
                    </div>
                </div>
                <div class="row ">
                    <div class="col-md-6 mb-3 ">
                        <label for="email">Email</label>
                        <input type="email" class="form-control" name="email" value="{{user.email}}"/>
                    </div>

                    <div class="col-md-6 mb-3 ">
                        <label for="address">Address</label>
                        <input type="text" class="form-control" placeholder="Address" name="address" required/>
                    </div>

                </div>

                <div class="mb-3 ">
                    <label for="description ">Additional Description</label>
                    <input type="text" class="form-control" id="a" placeholder="Additional Information" name="description" style="height:200px" required/>

                </div>


            </div>

        </div>

    </div>
</form>


{% endblock %}

templates/pages/contact.html
{% extends 'master/master.html '%} {% block content %} {%if messages%} {% for message in messages %}
<div class="alert alert-sucess">{{message}}</div>
{% endfor %} {% endif %}
<section class="why_section layout_padding">
    <div class="container-fluid">
        <div class="row">
            <div class="col-lg-6 vh-100 ">
                <div class="full">
                    <div class="card-header p-0">
                        <div class="bg-primary text-white text-center py-2">
                            <h3><i class="fa fa-envelope"></i> Write to us:</h3>
                        </div>
                    </div>
                    <br/>
                    <form action="" method="POST"> {% csrf_token %}
                        <fieldset>

                           {{form.fullname}} {{form.email}} {{form.number}} {{form.subject}}{{form.message}}{{form.captcha}}
                            <input type="submit" value="Submit" />
                        </fieldset>
                    </form>

                </div>
            </div>
            <div class="col-lg-6 vh-100 ">
                <div class="mb-4">
                    <iframe src="https://www.google.com/maps/embed?pb=!1m18!1m12!1m3!1d3532.4372883010865!2d85.3209555145013!3d27.70378173225676!2m3!1f0!2f0!3f0!3m2!1i1024!2i768!4f13.1!3m3!1m2!1s0x39eb19a86d92de5f%3A0xd6a23381c4e35c7e!2sKantipur%20City%20College!5e0!3m2!1sen!2snp!4v1677404739361!5m2!1sen!2snp"
                        width="800" height="450" style="border:0;" allowfullscreen="" loading="lazy" referrerpolicy="no-referrer-when-downgrade"></iframe>
                </div>
                <!--Buttons-->
                <div class="row text-center">
                    <div class="col-md-4">
                        <a class="bg-primary px-3 py-2 rounded text-white mb-2 d-inline-block"><i class="fa fa-map-marker"></i></a>
                        <p> Putalisadak Kathmandu </p>
                    </div>
                    <div class="col-md-4">
                        <a href="tel:+977-9861562381" class="bg-primary px-3 py-2 rounded text-white mb-2 d-inline-block"><i class="fa fa-phone"></i></a>
                        <p>+977-9861562381</p>
                    </div>
                    <div class="col-md-4">
                        <a class="bg-primary px-3 py-2 rounded text-white mb-2 d-inline-block"><i class="fa fa-envelope"></i></a>
                        <p> yubrajkhadka@kcc.edu.np</p>
                    </div>
                </div>
            </div>
        </div>
    </div>
</section>


{% endblock %}

templates/pages/emptycart.html
<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>ArtandCollectibles</title>
    <style>
        @import url(http://fonts.googleapis.com/css?family=Calibri:400,300,700);
        .card {
            margin-bottom: 30px;
            border: 0;
            -webkit-transition: all .3s ease;
            transition: all .3s ease;
            letter-spacing: .5px;
            border-radius: 8px;
            -webkit-box-shadow: 1px 5px 24px 0 rgba(68, 102, 242, .05);
            box-shadow: 1px 5px 24px 0 rgba(68, 102, 242, .05);
        }
        
        .card .card-header {
            background-color: #fff;
            border-bottom: none;
            padding: 24px;
            border-bottom: 1px solid #f6f7fb;
            border-top-left-radius: 8px;
            border-top-right-radius: 8px;
        }
        
        .card-header:first-child {
            border-radius: calc(.25rem - 1px) calc(.25rem - 1px) 0 0;
        }
        
        .card .card-body {
            padding: 30px;
            background-color: transparent;
        }
        
        .btn-primary,
        .btn-primary.disabled,
        .btn-primary:disabled {
            background-color: #4466f2!important;
            border-color: #4466f2!important;
        }
    </style>
</head>

<body>
    <div class="container-fluid  mt-100">
        <div class="row">

            <div class="col-md-12">

                <div class="card">
                    <div class="card-body cart">
                        <div class="col-sm-12 empty-cart-cls text-center">
                            <img src="https://i.imgur.com/dCdflKN.png" width="130" height="130" class="img-fluid mb-4 mr-3">
                            <p><strong>Your Cart is Empty</strong></p>
                            <h4></h4>
                            <a href="{% url 'products'%}" class="btn btn-primary cart-btn-transform m-3" data-abc="true">continue shopping</a>


                        </div>
                    </div>
                </div>


            </div>

        </div>

    </div>
</body>

</html>

templates/pages/index1.html
{% extends 'master/master.html '%} {% block content %}
<div class="container">
    {%if messages%} {% for message in messages %}
    <div class="alert alert-sucess">{{message}}</div>
    {% endfor %} {% endif %}

    
<!-- Body Section -->
<div class="row">
    <div id="sidebar" class="span3">
        <div class="well well-small">
            <ul class="nav nav-list">
                {% for category in categoryData %}
                <li><a href="{% url 'category_details' category.slug%}"><span class="icon-chevron-right"></span> {{category.name}}</a>
                </li>
                {% endfor %}

            </ul>
        </div>
        <br>
        <br>
    </div>
<div class="span9">
    <div class="well np">
        <div id="myCarousel" class="carousel slide homCar">
            <div class="carousel-inner">
                {% for product in productData %}
                <div class="item">
                    {% if product.image %}
                    <img style="width:100%" src="{{product.image.url}}" alt="bootstrap ecommerce templates"> {% endif %}
                    <div class="carousel-caption">
                        <h4>{{ product.name }}</h4>
                        <p><span>Very clean simple to use</span></p>
                    </div>
                </div>
                {% endfor %}

            </div>

            <a class="left carousel-control" href="#myCarousel" data-slide="prev">&lsaquo;</a>
            <a class="right carousel-control" href="#myCarousel" data-slide="next">&rsaquo;</a>
        </div>
    </div> 
        <!--
New Products
-->
        <div class="well well-small">
            <h3>New Products </h3>
            <hr class="soften" />
            <div class="row-fluid">
                <div id="newProductCar" class="carousel slide">
                    <div class="carousel-inner">
                        <div class="item active">

                            <ul class="thumbnails">
                                {% for product in productData %}
                                <li class="span4">
                                    <div class="thumbnail">
                                        <a href="" class="overlay"></a>
                                        <a class="zoomTool" href="{% url 'product_details' product.slug%}" title="add to cart"><span class="icon-search"></span> QUICK VIEW</a>
                                        <a href="">
                                        {% if product.image %}
                                        <img src="{{ product.image.url }}" alt="" style="width: 100%;height: 200px;">
                                        {% endif %}
                                    </a>
                                        <div class="caption cntr">
                                            <p>{{ product.name }}</p>
                                            <p><strong> Rs: {{ product.price }}</strong></p>
                                            <h4><a class="shopBtn" href="{% url 'cart_add' product.id %}" title="add to cart"> Add to cart </a></h4>
                                            <div class="actionList">
                                             <h4>   <a class="shopBtn addtowishlist " href="{% url 'addtowishlist' %}">Add to WishList </a></h4>
                                            </div>
                                            <br class="clr">
                                        </div>
                                    </div>
                                </li>
                                {% endfor %}

                            </ul>




                        </div>
                    </div>
                </div>



            </div>
        </div>
    </div>
        
</div>

{% endblock %}